require 'miniserver/version'
require 'miniserver/server'
require 'miniserver/const'
require 'miniserver/command'
require 'rack/handler/miniserver'

module Process
  def running?(pid)
    Process.getpgid(pid) != -1
  rescue Errno::EPERM
    true
  rescue Errno::ESRCH
    false
  end
  module_function :running?
end

module Miniserver
  def self.logger=(logger)
    @logger=logger
  end

  def self.logger
    @logger
  end
end
